NXOpen.UF.Curve.CreateArcCenterRadius

Curve.CreateArcCenterRadius()

Refer to UF_CURVE_create_arc_center_radius for documentation.

Signature: CreateArcCenterRadius(center, radius, helpPoint, limitP, supportPlane, isAsso)

Parameters:
  • center (Tag) – tag of center
  • radius (float) – value of radius
  • helpPoint (Tag) – point to define the start orientation
  • limitP (list of NXOpen.UF.Curve.Limit Refer to UF_CURVE_limit_s for documentation.) – extension limits
  • supportPlane (Tag) – tag of support plane of the arc
  • isAsso (bool) – true - if associative, false - if not associative
Returns:

if is_asso == TRUE - object identifier of new associative arc feature if is_asso == FALSE - object identifier of new associative arc

Return type:

Tag

License requirements: SOLIDS MODELING or DRAFTING